com.smartgwt.client.types

## Enum BackgroundRepeat

- java.lang.Object
- - java.lang.Enum<BackgroundRepeat>
  - - com.smartgwt.client.types.BackgroundRepeat

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<BackgroundRepeat>

      public enum BackgroundRepeat
      extends java.lang.Enum<BackgroundRepeat>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_REPEAT` Don't tile the background image at all.
    `REPEAT` Tile the background image horizontally and vertically.
    `REPEAT_X` Repeat the background image horizontally but not vertically.
    `REPEAT_Y` Repeat the background image vertically but not horizontally.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static BackgroundRepeat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BackgroundRepeat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPEAT

          public static final BackgroundRepeat REPEAT

      Tile the background image horizontally and vertically.

    - #### NO_REPEAT

          public static final BackgroundRepeat NO_REPEAT

      Don't tile the background image at all.

    - #### REPEAT_X

          public static final BackgroundRepeat REPEAT_X

      Repeat the background image horizontally but not vertically.

    - #### REPEAT_Y

          public static final BackgroundRepeat REPEAT_Y

      Repeat the background image vertically but not horizontally.

  - ### Method Detail

    - #### values

          public static BackgroundRepeat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BackgroundRepeat c : BackgroundRepeat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BackgroundRepeat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`